org.apache.ignite.internal.visor.file

## Class VisorFileBlock

- java.lang.Object
- - org.apache.ignite.internal.visor.file.VisorFileBlock

All Implemented Interfaces:
  Serializable

    public class VisorFileBlock
    extends Object
    implements Serializable

Represents block of bytes from a file, could be optionally zipped.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`VisorFileBlock(String path, long off, long size, long lastModified, boolean zipped, byte[] data)` Create file block with given parameters.

### Method Summary

Methods
`byte[]` `data()`
`long` `lastModified()`
`long` `offset()`
`String` `path()`
`long` `size()`
`String` `toString()`
`boolean` `zipped()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### VisorFileBlock

    public VisorFileBlock(String path,
                  long off,
                  long size,
                  long lastModified,
                  boolean zipped,
                  byte[] data)

Create file block with given parameters.

Parameters:
  `path` - File path.
  `off` - Marker position.
  `size` - File size.
  `lastModified` - Timestamp of last modification of the file.
  `zipped` - Whether data was zipped.
  `data` - Data bytes.

### Method Detail

#### path

    public String path()

Returns:
  File path.

#### offset

    public long offset()

Returns:
  Marker position.

#### size

    public long size()

Returns:
  File size.

#### lastModified

    public long lastModified()

Returns:
  Timestamp of last modification of the file.

#### zipped

    public boolean zipped()

Returns:
  Whether data was zipped.

#### data

    public byte[] data()

Returns:
  Data bytes.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.0.0-RC1
Release Date | : February 17 2015